apoyos/urls.py
from django.urls import path
from .views import ApoyosView, LocalidadView, LocalidadNew, LocalidadEdit, LocalidadDelete, \
    PersonaView, PersonaNew, PersonaEdit, PersonaDelete, personas_por_comunidad, getActivistas, getActivados, \
    EncargadoRutaView, EncargadoRutaNew, EncargadoRutaEdit, EncargadoRutaDelete, comunidades_por_encargado, \
    PuestoView, PuestoNew, PuestoEdit, PuestoDelete, obtenerPersona, obtener_persona_por_nombre, \
    DepartamentoView, DepartamentoNew, DepartamentoEdit, DepartamentoDelete, \
    EmpleadoView, EmpleadoNew, EmpleadoEdit, EmpleadoDelete, empleados_por_departamento, empleados_por_puesto, \
    ApoyosView, ApoyosNew, ApoyosEdit, ApoyosDelete, apoyos_por_persona, agregarApoyos, busqueda_de_personas

urlpatterns = [
    # crud localidades
    path('localidades/', LocalidadView.as_view(), name='localidades_list'),
    path('localidades/new', LocalidadNew.as_view(), name='localidades_new'),
    path('localidades/edit/<int:pk>', LocalidadEdit.as_view(), name='localidades_edit'),
    path('localidades/delete/<int:pk>', LocalidadDelete.as_view(), name='localidades_delete'),
    
    # crud personas
    path('personas/', PersonaView.as_view(), name='personas_list'),
    # path("personas/obtener-personas", obtener_personas, name="obtener_personas"),
    path('personas/new', PersonaNew.as_view(), name='personas_new'),
    path('personas/edit/<int:pk>', PersonaEdit.as_view(), name='personas_edit'),
    path('personas/delete/<int:pk>', PersonaDelete.as_view(), name="personas_delete"),
    
    # búsqueda de personas por curp
    path('personas/busqueda', busqueda_de_personas, name='busqueda'),
    
    # búsqueda de personas por id
    path('personas/buscar-persona/<int:id>', obtenerPersona, name='buscar_persona'),
    
    # búsqueda de personas por nombre
    path('personas/busqueda-por-nombre', obtener_persona_por_nombre, name='busqueda_por_nombre'),
    
    # búsqueda de persona por CURP
    # path('personas/buscar/<str:curp>', busqueda_de_persona_por_curp, name='buscar_persona'),
    
    # ver activistas
    path('personas/activistas', getActivistas, name='activistas_list'),
    # ver activados
    path('personas/activados', getActivados, name='activados_list'),
    
    # personas de cada comunidad
    path('personas/personas-por-comunidad/<int:id>', personas_por_comunidad, name='personas_por_comunidad'),
    
    # crud de encargados de ruta
    path('encargados-ruta/', EncargadoRutaView.as_view(), name='encargados_list'),
    path('encargados-ruta/new', EncargadoRutaNew.as_view(), name='encargados_new'),
    path('encargados-ruta/edit/<int:pk>', EncargadoRutaEdit.as_view(), name='encargados_edit'),
    path('encargados-ruta/delete/<int:pk>', EncargadoRutaDelete.as_view(), name="encargados_delete"),
    
    # comunidadaes que dirige cada encargado de ruta
    path('encargados-ruta/comunidades-er/<int:id>', comunidades_por_encargado, name='comunidades-er'),    
    
    # crud de puestos
    path('puestos/', PuestoView.as_view(), name='puestos_list'),
    path('puestos/new', PuestoNew.as_view(), name='puestos_new'),
    path('puestos/edit/<int:pk>', PuestoEdit.as_view(), name='puestos_edit'),
    path('puestos/delete/<int:pk>', PuestoDelete.as_view(), name='puestos_delete'),
    
    # crud de departamentos
    path('departamentos/', DepartamentoView.as_view(), name='departamentos_list'),
    path('departamentos/new', DepartamentoNew.as_view(), name='departamentos_new'),
    path('departamentos/edit/<int:pk>', DepartamentoEdit.as_view(), name='departamentos_edit'),
    path('departamentos/delete/<int:pk>', DepartamentoDelete.as_view(), name='departamentos_delete'),
    
    # crud de empleados
    path('empleados/', EmpleadoView.as_view(), name='empleados_list'),
    path('empleados/new', EmpleadoNew.as_view(), name='empleados_new'),
    path('empleados/edit/<int:pk>', EmpleadoEdit.as_view(), name='empleados_edit'),
    path('empleados/delete/<int:pk>', EmpleadoDelete.as_view(), name='empleados_delete'),
    
    # empleados de cada departamento
    path('empleados/empleados-por-departamento/<int:id>', empleados_por_departamento, name='empleados_por_departamento'),
    # empleados de cada puesto
    path('empleados/empleados-por-puesto/<int:id>', empleados_por_puesto, name='empleados_por_puesto'),
    
    # crud de apoyos
    path('apoyos/', ApoyosView.as_view(), name='apoyos_list'),
    path('apoyos/new', ApoyosNew.as_view(), name='apoyos_new'),
    path('apoyos/edit/<int:pk>', ApoyosEdit.as_view(), name='apoyos_edit'),
    path('apoyos/delete/<int:pk>', ApoyosDelete.as_view(), name='apoyos_delete'),
    
    # agregar apoyo
    path('apoyos/agregar-apoyo/<int:id>', agregarApoyos, name='agregar_apoyos'),
    
    # apoyos que ha recibido cada persona
    path('apoyos/apoyos-recibidos/<int:id>', apoyos_por_persona, name='apoyos-recibidos'),  
]

bases/urls.py
from django.urls import path
from django.contrib.auth import views as auth_views

from bases.views import *

urlpatterns = [
    path('', Home.as_view(), name='home'),
    path('login/', auth_views.LoginView.as_view(template_name='bases/login.html'), name='login'),
    path('logout/', auth_views.LogoutView.as_view(template_name='bases/login.html'), name='logout'),
    path('sin_privilegios/', HomeSinPrivilegios.as_view(), name="sin_privilegios"),
    path('bases/obtener-estadisticas/', getEstadisticas, name="obtener-estadisticas"),
        
    path('personas/menu', menu_de_personas, name='menu-personas'),
    # búsquede de persona por su curp
    path('personas/busqueda-por-curp', get_personas_por_curp, name='personas-curp'),
    
    # búsqueda de persona por nombre
    path('personas/busqueda-por-nombre', get_personas_por_nombre, name='bus_personas_por_nombre'),
    
    # filtramos las personas por departamento
    path('personas/personas-por-localidad', get_personas_por_localidad, name='personas_por_localidad'),
    
    # menu apoyos
    path('apoyos/menu', MenuApoyos.as_view(), name='menu_de_apoyos'),
    # filtrado de apoyos por departamento
    path('apoyos/apoyos-por-departamento', get_apoyos_por_departamento, name='apoyos_por_departamento'),
    # filtrado de apoyos por fecha
    path('apoyos/apoyos-por-fecha', get_apoyos_por_fecha, name="apoyos_por_fecha"),  
    # filtrado por localidad
    path('apoyos/apoyos-por-localidad', get_apoyos_por_localidad, name="apoyos_por_localidad"),  
]

catastro/urls.py
from django.urls import path
from .views import ContribuyenteView, ContribuyenteNew, ContribuyenteEdit, ContribuyenteDelete, \
    busqueda_por_cuenta_predial, obtener_contribuyente

urlpatterns = [
    # crud de contribuyentes
    path('contribuyentes/', ContribuyenteView.as_view(), name='contribuyentes_list'),
    path('contribuyentes/new', ContribuyenteNew.as_view(), name='contribuyentes_new'),
    path('contribuyentes/edit/<int:pk>', ContribuyenteEdit.as_view(), name='contribuyentes_edit'),
    path('contribuyentes/delete/<int:pk>', ContribuyenteDelete.as_view(), name='contribuyentes_delete'),
    
    # búsqueda de contribuyentes 
    path('contribuyentes/busqueda', busqueda_por_cuenta_predial, name='busqueda'),
    
    # búsqueda de contribuyentes por id
    path('contribuyentes/busqueda-id/<int:id>', obtener_contribuyente, name='obtener_contribuyente'),
    
    # path('contribuyentes/buscar/<int:id_cuenta>', busqueda_por_cuenta_predial, name='buscar_contribuyente'),
]

gestion_apoyos/urls.py
from argparse import Namespace
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', include(('bases.urls', 'bases'), namespace='bases')),
    path('apoyos/', include(('apoyos.urls', 'apoyos'), namespace='apoyos')),
    path('catastro/', include(('catastro.urls', 'catastro'), namespace='catastro')),
    path('admin/', admin.site.urls),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

catastro/models.py
from django.db import models

# Create your models here.
class Contribuyente(models.Model):
    """ modelo de contribuyente """
    
    # numero_de_cuenta_predial = models.IntegerField(
    #     unique=True,
    #     null=True,
    #     blank=True
    # )
    
    nombre = models.CharField(max_length=100)
    ap_paterno = models.CharField(
        max_length=100,
        blank=True,
        null=True
    )

    ap_materno = models.CharField(
        max_length=100,
        blank=True,
        null=True
    )
    
    M = 'MASCULINO'
    F = 'FEMENINO'
    GENERO = [
        (M, 'MASCULINO'),
        (F, 'FEMENINO')
    ]
    genero = models.CharField(
        max_length=15,
        choices=GENERO,
        default=M        
    )
    
    domicilio = models.CharField(
        max_length=250,
        blank=True,
        null=True
    )
    
    localidad = models.CharField(
        max_length=100,
        blank=True,
        null=True
    )

    telefono = models.BigIntegerField(
        blank=True,
        null=True
    )
        
    expediente = models.FileField(upload_to="expedientes/", null=True, blank=True)
    
    notas_adicionales = models.CharField(
        max_length=500,
        null=True,
        blank=True
    )
    
    def __str__(self):
        """ Descripción del modelo contribuyente """
        return '{} {} {}'.format(self.nombre, self.ap_paterno, self.ap_materno)
    
    def save(self):
        """ el nombre del contribuyente lo guardamos en mayúsculas"""
        self.nombre = self.nombre.upper()
        if self.ap_paterno: # si la cadena esta llena
            self.ap_paterno = self.ap_paterno.upper()
            
        if self.ap_materno: # si la cadena esta llena
            self.ap_materno = self.ap_materno.upper()
            
        super(Contribuyente, self).save()

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Contribuyentes"

catastro/forms.py
from django import forms
from .models import Contribuyente
from .validators import MaxSizeFileValidator
from django.forms import ValidationError

class ContribuyenteForm(forms.ModelForm):
    """ form de contribuyente"""
    
    # validaciones en el lado del servidor
    nombre = forms.CharField(min_length=1, max_length=100, required=True)
    ap_paterno = forms.CharField(required=True)
    expediente = forms.FileField(required=False)
    localidad = forms.CharField(required=True)
     
    # validamos que no haya registros duplicados con el mismo numero de predial
    # def clean_numero_de_cuenta_predial(self):
        # extraemos el valor que ingreso el usuario en el campo
        # numero_de_cuenta_predial = self.cleaned_data["numero_de_cuenta_predial"] 
        # existe = Contribuyente.objects.filter(numero_de_cuenta_predial=numero_de_cuenta_predial).exists()
        
        # if existe:
        #   raise ValidationError("Ya existe un contribuyentre con este numero de predial..")      
      
        # return numero_de_cuenta_predial

    class Meta:
        model = Contribuyente
        # campos que muestra el form
        fields = ("nombre", "ap_paterno", "ap_materno", "genero", "domicilio", "localidad", "telefono", "expediente", "notas_adicionales")
        # etiquetas
        labels = {            
            "nombre": "Nombre",
            "ap_paterno": "Apellido Paterno",
            "ap_materno": "Apellido Materno",
            "genero": "Género",
            "localidad": "Localidad",
            "expediente": "Expediente",
            "notas_adicionales": "Notas Adicionales" 
        }
                    
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
            
    # def clean(self):
    #     try:
    #         sc = Contribuyente.objects.get(
    #             numero_de_cuenta_predial = self.cleaned_data['numero_de_cuenta_predial']
    #         )
            
    #         if not self.instance.pk:
    #             raise ValidationError("Ya existe un contribuyente con este numero de predial..")
    #         elif self.instance.pk != sc.pk:
    #             raise forms.ValidationError("Cambio no permitido, coincide con otro registro")
            
    #     except Contribuyente.DoesNotExist:
    #         pass            
    #     return self.cleaned_data

catastro/views.py
from django.shortcuts import render, redirect
from .models import Contribuyente
from bases.views import Sin_Privilegios
from django.views import generic
from .forms import ContribuyenteForm
from django.contrib.messages.views import SuccessMessageMixin
from django.urls import reverse_lazy

# Create your views here.
class ContribuyenteView(Sin_Privilegios, generic.ListView):
    """ vista basada en clase para listar localidades"""
    permission_required = "catastro.view_contribuyente"
    model = Contribuyente
    template_name = "catastro/contribuyentes_list.html"
    context_object_name = "obj" 
    
class ContribuyenteNew(SuccessMessageMixin, Sin_Privilegios, generic.CreateView):
    """ vista basada en clase para agregar contribuyentes"""
    permission_required = "catastro.add_contribuyente"
    model = Contribuyente
    template_name = "catastro/contribuyentes_form.html"
    context_object_name = "obj"
    form_class = ContribuyenteForm
    success_message = "Contribuyente agregado satisfactoriamente.."
    success_url = reverse_lazy("catastro:contribuyentes_list")
        
class ContribuyenteEdit(SuccessMessageMixin, Sin_Privilegios, generic.UpdateView):
    """ vista basada en clase para actualizar contribuyentes"""
    permission_required = "catastro.change_contribuyente"
    model = Contribuyente
    template_name = "catastro/contribuyentes_form.html"
    context_object_name = "obj"
    form_class = ContribuyenteForm
    success_message = "Contribuyente actualizado satisfactoriamente.."
    success_url = reverse_lazy("catastro:contribuyentes_list")
    
class ContribuyenteDelete(SuccessMessageMixin, Sin_Privilegios, generic.DeleteView):
    """ vista basada en clase para eliminar contribuyentes"""
    permission_required = "catastro.delete_contribuyente"
    model = Contribuyente
    template_name = "catastro/contribuyentes_del.html"
    context_object_name = "obj"
    success_message = "Contribuyente eliminado satisfactoriamente.."
    success_url = reverse_lazy("catastro:contribuyentes_list")
    
def busqueda_por_cuenta_predial(request):
    # extraemos el valor del input
    queryset = request.GET.get("buscontribuyente")
    contribuyente = Contribuyente.objects.filter(numero_de_cuenta_predial=queryset).first()    
    # print(queryset)
    print(contribuyente)
    template_name = "catastro/busqueda_de_contribuyentes.html"
    context = {'obj': contribuyente}    
    
    return render(request, 'catastro/busqueda_de_contribuyente.html', context)

def obtener_contribuyente(request, id):
    contribuyente = Contribuyente.objects.all().filter(id=id).first()
    template_name = "catastro/ver_pdf.html"
    context = {'obj': contribuyente}
    
    return render(request, template_name, context)
    
# def busqueda_por_cuenta_predial(request, id_cuenta):
#     """ buscamos un contribuyente por su numero de cuenta"""  
#     contribuyente = Contribuyente.objects.filter(numero_de_cuenta_predial=id_cuenta).first()
#     # print(contribuyente)
    
#     context = {'obj': contribuyente}
#     template_name = "catastro/buscar_contribuyente.html"
    
#     return render(request, template_name, context)

    

    

catastro/templates/catastro/buscar_contribuyente.html
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Búsqueda de Contribuyentes - Pinos, Zacatecas</h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">                
            </div>
        </div>
    </div>

    <div class="card-body">
        {% if not obj %}
            <div class="alert alert-info">No hay ningún contribuyente con ese número de cuenta..</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead>
                <td>ID</td>
                <th>NÚMERO DE PREDIAL</th>
                <th>NOMBRE</th>
                <th>AP PATERNO</th>
                <th>AP MATERNO</th>
                <!-- <th>GÉNERO</th> -->
                <th>LOCALIDAD</th>
                <!-- <th>EXPEDIENTE</th> -->
                <!-- <th>NOTAS ADICIONALES</th> -->
                <th>ACCIONES</th>
            </thead>
    
            <tbody>
                                
                <tr>
                    <td>{{ obj.id }}</td>                       
                    {% if obj.numero_de_cuenta_predial %}
                        <td>{{ obj.numero_de_cuenta_predial }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}                           

                    {% if obj.nombre %}
                        <td>{{ obj.nombre }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
                                                
                    {% if obj.ap_paterno %}
                        <td>{{ obj.ap_paterno }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}
                                                                                       
                    {% if obj.ap_materno %}
                        <td>{{ obj.ap_materno }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
    
                    <!-- {% if item.genero %}
                        <td>{{ item.genero }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %} -->
    
                    {% if obj.localidad %}
                        <td>{{ obj.localidad }}</td>                    
                    {% else %} 
                        <td></td>
                    {% endif %}
                        
                    <!-- {% if item.expediente %}
                        <td>{{ item.expediente }}</td>                            
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                            
                            
                    <!-- {% if item.notas_adicionales %}
                        <td>{{ item.notas_adicionales }}</td>
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                        
                    <td>
                        <a href="{% url 'catastro:contribuyentes_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                        <a href="{% url 'catastro:contribuyentes_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>                            
                    </td>
                  
                </tr>                                     
                    
            </tbody>
        </table>
        {% endif %}

        <div>
            <a href="{% url 'catastro:contribuyentes_list' %}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>        
        </div>
        
    </div>
    
</div>
{% endblock page_content %}

catastro/templates/catastro/busqueda_de_contribuyente.html
{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
  
<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Contribuyentes - Pinos, Zacatecas </h6>
        <div class="dropdown no-arrow">
            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'catastro:contribuyentes_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#"><i class="fa fa-search-plus"></i>Buscar</a> -->
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>

    <form class="form-inline" action="{% url 'catastro:busqueda' %}">
        {% csrf_token %}
         <div class="col-xl-6 col-md-6 mb-6">
             
             {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
             {% else %}
                <div class="card border-left-success shadow h-100 py-2">
             {% endif %}
             
                 <div class="card-body">
                     <div class="row no-gutters align-items-center">
                         <div class="col mr-2">
                             <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                 {% if obj %} Buscar {% endif %} Contributente
                             </div>                        
                             <div class="dropdown-divider"></div>
 
                             <div class="col">
                                 <div class="card" style="width: 28rem;">
                                     <img src="{% static 'base/img/buscontribuyente.svg' %}" class="card-img-top" alt="..." height="200px" width="200px">
                                     <div class="card-body">
                                       <h5 class="card-title text-md-center">Búsqueda de Contribuyentes - Pinos, Zacatecas</h5>                                      
                                     </div>
                                 </div>
                             </div>
                             
                             <!-- primer fila -->
                             <div class="row mt-3">                                
                                 <div class="col text-uppercase font-weight-bold">
                                    Número de cuenta predial:
                                    <div class="input-group mt-2">
                                        <input type="search" name="buscontribuyente" placeholder="Ingresa el número de cuenta predial.." class="form-control" required>
                                    </div>
                                 </div>
                             </div>
 
                             <!-- {{ form.as_p }} -->
                             <div class="dropdown-divider"></div>
                             <div class="row">
                                  <div class="col">
                                     <button type="submit" class="btn btn-danger"><span class="fa fa-search"></span>Buscar</button>
                                     <a href="{% url 'catastro:contribuyentes_list' %}" class="btn btn-success"><span class="fa fa-undo">Cancelar</span></a>
                                 </div>
                             </div>                                
                             
                         </div>                        
                     </div>
                 </div>
             </div>
         </div>
    </form>  
 
    <!-- Card Body -->
    <div class="card-body">
        {% if not obj %}
            <div class="alert alert-info">No Hay Contribuyentes</div>           
        {% elif obj %}

        <div class="alert alert-heading text-uppercase font-weight-bolder"> >> Resultados:</div>  
        <table class="table table-bordered table-striped">
            <thead>
                <td>ID</td>
                <th>NÚMERO DE PREDIAL</th>
                <th>NOMBRE</th>
                <th>AP PATERNO</th>
                <th>AP MATERNO</th>
                <!-- <th>GÉNERO</th> -->
                <th>LOCALIDAD</th>
                <!-- <th>EXPEDIENTE</th> -->
                <!-- <th>NOTAS ADICIONALES</th> -->
                <th>ACCIONES</th>
            </thead>
    
            <tbody>
                                
                <tr>
                    <td>{{ obj.id }}</td>                       
                    {% if obj.numero_de_cuenta_predial %}
                        <td>{{ obj.numero_de_cuenta_predial }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}                           

                    {% if obj.nombre %}
                        <td>{{ obj.nombre }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
                                                
                    {% if obj.ap_paterno %}
                        <td>{{ obj.ap_paterno }}</td>
                    {% else %}
                        <td></td>
                    {% endif %}
                                                                                       
                    {% if obj.ap_materno %}
                        <td>{{ obj.ap_materno }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %}
    
                    <!-- {% if item.genero %}
                        <td>{{ item.genero }}</td>                    
                    {% else %}
                        <td></td>
                    {% endif %} -->
    
                    {% if obj.localidad %}
                        <td>{{ obj.localidad }}</td>                    
                    {% else %} 
                        <td></td>
                    {% endif %}
                        
                    <!-- {% if item.expediente %}
                        <td>{{ item.expediente }}</td>                            
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                            
                            
                    <!-- {% if item.notas_adicionales %}
                        <td>{{ item.notas_adicionales }}</td>
                    {% else %} 
                        <td></td>
                    {% endif %} -->
                            
                    <td>
                        <a href="{% url 'catastro:contribuyentes_edit' obj.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                        <a href="{% url 'catastro:contribuyentes_delete' obj.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i> </a>                            
                    </td>
                </tr>                                     
                                
            </tbody>
        </table>
        {% endif %}

        <!-- <div>
            <a href="{% url 'apoyos:personas_list' %}" class="btn btn-secondary btn-icon-split">
                <span class="icon text-white-50">
                    <i class="fas fa-arrow-left"></i>
                </span>
                <span class="text">Regresar</span>
            </a>        
        </div> -->
    </div>
</div>  
{% endblock page_content %} 
   
{% block js_page %} {% endblock js_page %}
    